/* $Id$

This file is part of libmspdatafile
Copyright © 2006  Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/

#ifndef MSP_DATAFILE_WRITERMODE_H_
#define MSP_DATAFILE_WRITERMODE_H_

#include <ostream>

namespace Msp {
namespace DataFile {

class Statement;

class WriterMode
{
protected:
	std::ostream &out;

	WriterMode(std::ostream &o): out(o) { }
public:
	virtual ~WriterMode() { }

	virtual void write(const Statement &st) =0;
};

} // namespace DataFile
} // namespace Msp

#endif
